gnutls_pubkey_import_ecc_raw(3)

NAME
gnutls_pubkey_import_ecc_raw - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_pubkey_import_ecc_raw(gnutls_pubkey_t key, gnutls_ecc_curve_t curve, const gnutls_datum_t * x, const gnutls_datum_t * y);

ARGUMENTS

gnutls_pubkey_t key
    The structure to store the parsed key

gnutls_ecc_curve_t curve
    holds the curve

const gnutls_datum_t * x
    holds the x

const gnutls_datum_t * y
    holds the y

DESCRIPTION
This function will convert the given elliptic curve parameters to a gnutls_pubkey_t. The output will be stored in key .

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/